/*
 * Gage / Ingage Reference C Implementation
 *
 * Copyright 2018:
 *     Danilo Gligoroski <danilog@ntnu.no>
 *     Daniel Ote <bg@nerilex.org>
 *     Hristina Mihajloska <hristina.mihajloska@finki.ukim.mk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 *
 */

#ifndef CONSTANTS_H_
#define CONSTANTS_H_

#include <inttypes.h>

#include "parameters.h"

typedef uint32_t bs_reg_t ;

struct state {
    union {
        struct {
            uint8_t padding[(8 - INTERNAL_STATE_SIZE_BYTES % 8) % 8];  /* padds the state to a multiple of 8 bytes*/
            uint8_t a[INTERNAL_STATE_SIZE_BYTES];
        };
        struct {
            bs_reg_t r[8];
        };
    };
};

#endif /* CONSTANTS_H_ */
